package partie_2;

public class Form {
	private char color;
	private boolean filled = false;
	protected Point origin;
	
	public Form(Point origin, char color)
	{
		this.color = color;
		this.origin = origin;
	}
	
	public void setFilled()
	{
		filled = true;
	}
	//subclasses must implement this method.
	public boolean isOn(Point p) {
		return false; 
	}

	public char getColor() {
		return color;
	}
	
	public boolean isFilled()
	{
		return filled;
	}
	
	//subclasses must reimplement this method.
	public void move(int x, int y)
	{
		origin.move(x,y);
	}
	
	//subclasses must reimplement this method.
	public double area()
	{
		return 0;
	}
	
	//subclasses must reimplement this method.
	public double perimeter()
	{
		return 0;
	}

}
